## Bug Reports

Bug reports are welcomed.

Please use the [available templates](https://github.com/WhitewaterFoundry/WLinux/issues/new/choose) and complete the applicable sections before submitting.

## Pull Requests

Pull requests are highly encouraged.

## Grants/Bounties

If you have an idea for a new feature you would like to see implemented in WLinux and can implement it yourself given the funding, we are now accepting grant/bounty proposals. Grants are currently available for $50-$500 USD based on complexity.

You are invited to submit a grant proposal including the following to hayden@whitewaterfoundry.com:

```
Name:

Email:

PayPal email address, if different:

Proposed feature:

Outline of how you plan to implement:

Estimated delivery date of proof of concept:

Estimated delivery date of final tested code:

Link to sample(s) of your work:
```

Your proposal will be promptly evaluated for complexity, reasonableness, and whether it fits within scope of WLinux and WSL. You may see possible proposals [here](https://github.com/WhitewaterFoundry/WLinux/labels/Possible%20Bounty). Your work sample and GitHub history will be evaluated to determine if you have the technical competancy to implement the proposed change and deliver timely. An ideal work sample would be an intermediate bash script performing some custom configuration on Linux.

If approved, you will recieve a simple agreement covering the scope of the work you will be doing which you must acknowledge and return and then you may commence work. Unfortunately not all proposals will be accepted. WLinux and Whitewater Foundry will not pay for feature additions or pull requests that have not first been approved and subject to the terms of an agreement.

## Licensing

WLinux is licensed under the [MIT license](https://github.com/WhitewaterFoundry/WLinux/blob/master/LICENSE.md). All contributions to WLinux must comply with the MIT license and similarly be licensed under the MIT license.
